## trackballs 1.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(trackballs)

# Required libraries
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
find_package(Guile REQUIRED)
find_package(SDL2_and_friends REQUIRED)
find_package(OpenGL REQUIRED)
find_package(ZLIB REQUIRED)
# libgc is a dependency of Guile that still needs to be provided
find_package(GC REQUIRED)

# Optionally set data dir and locale dir
set(TRACKBALLS_LOCALE_DIR "" CACHE FILEPATH "Folder to install locale files to. Empty means default.")
set(TRACKBALLS_SHARE_DIR "" CACHE FILEPATH "Folder to install data files to. Empty means default.")
set(TRACKBALLS_HIGHSCORES_DIR "" CACHE STRING "Folder to install highscores file to. Empty means to TRACKBALLS_SHARE_DIR. ~ will install per user")

if ("${TRACKBALLS_LOCALE_DIR}" STREQUAL "")
  set(TRACKBALLS_LOCALE ${CMAKE_INSTALL_PREFIX}/share/locale)
else()
  set(TRACKBALLS_LOCALE ${TRACKBALLS_LOCALE_DIR})
endif()
if ("${TRACKBALLS_SHARE_DIR}" STREQUAL "")
  set(TRACKBALLS_SHARE ${CMAKE_INSTALL_PREFIX}/share/trackballs)
else()
  set(TRACKBALLS_SHARE ${TRACKBALLS_SHARE_DIR})
endif()

add_definitions(-DPACKAGE="trackballs")
add_definitions(-DVERSION="1.2.3")
add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
if (NOT "${TRACKBALLS_HIGHSCORES_DIR}" STREQUAL "")
  add_definitions(-DALT_HIGHSCORES="${TRACKBALLS_HIGHSCORES_DIR}")
endif()
add_definitions(-DDEFAULT_RESOLUTION=-1)
add_definitions(${GUILE_DEFINITIONS} ${SDL2_DEFINITIONS} ${GC_DEFINITIONS})

# Guile interface
get_directory_property( definitions DIRECTORY ${CMAKE_SOURCE_DIR} COMPILE_DEFINITIONS )
set(defstr "")
foreach( d ${definitions} )
    set(defstr "${defstr}" "-D${d}")
endforeach()

include_directories(${PROJECT_SOURCE_DIR}/src ${GUILE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} ${SDL2_INCLUDE_DIR} ${SDL2_IMAGE_INCLUDE_DIR} ${SDL2_MIXER_INCLUDE_DIR} ${SDL2_TTF_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS} ${GC_INCLUDE_DIRS})
get_directory_property(includes DIRECTORY  ${CMAKE_SOURCE_DIR} INCLUDE_DIRECTORIES)
set(incstr "")
foreach( d ${includes} )
    set(incstr "${incstr}" "-I${d}")
endforeach()

# cpp is the c++ preprocessor
add_custom_command(OUTPUT guile.cc.x
                  COMMAND CPP=cpp; ${GUILE_SNARF} -o guile.cc.x ${PROJECT_SOURCE_DIR}/src/guile.cc ${defstr} ${incstr} -D_GNU_SOURCE=1 -D_REENTRANT
                  DEPENDS src/guile.cc
                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

# Construct executable file
file(GLOB sources ${PROJECT_SOURCE_DIR}/src/*.cc)
add_executable(trackballs ${sources} guile.cc.x)
target_link_libraries(trackballs ${GUILE_LIBRARIES} ${OPENGL_LIBRARIES} ${SDL2_LIBRARY} ${SDL2_IMAGE_LIBRARY} ${SDL2_MIXER_LIBRARY} ${SDL2_TTF_LIBRARY} ${ZLIB_LIBRARIES} ${GC_LIBRARIES} m)
install(TARGETS trackballs DESTINATION bin)

# Data files
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/fonts DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/images DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/levels DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/music DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/shaders DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/sfx DESTINATION ${TRACKBALLS_SHARE})
#todo: set executable setgid to games RX, and highscores to games RW
add_custom_command(OUTPUT highScores
                   COMMAND echo "0" | gzip -c > ${CMAKE_CURRENT_BINARY_DIR}/highScores)
add_custom_target(highscores ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/highScores)
if ("${TRACKBALLS_HIGHSCORES_DIR}" STREQUAL "")
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/highScores DESTINATION ${TRACKBALLS_SHARE})
else()
  string(SUBSTRING "${TRACKBALLS_HIGHSCORES_DIR}" 0 1 TRACKBALLS_HS_FCHAR)
  if (NOT "${TRACKBALLS_HS_FCHAR}" STREQUAL "~")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/highScores DESTINATION ${TRACKBALLS_HIGHSCORES_DIR})
  endif()
endif()

# Documentation
install(FILES ${PROJECT_SOURCE_DIR}/share/trackballs.6 DESTINATION man/man6)
file(GLOB htmldocs ${PROJECT_SOURCE_DIR}/docs/*.html ${PROJECT_SOURCE_DIR}/docs/*.css)
install(FILES ${htmldocs} DESTINATION ${TRACKBALLS_SHARE}/docs)

# Icons are split up into separate folders
file(GLOB icons ${PROJECT_SOURCE_DIR}/share/icons/*.png)
foreach(file ${icons})
  string(REGEX REPLACE ".*trackballs-" "" filea ${file})
  string(REPLACE ".png" "" sz ${filea})
  install(FILES ${file}
          DESTINATION ${TRACKBALLS_SHARE}/../icons/hicolor/${sz}/apps/
          RENAME trackballs.png)
endforeach()
install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.svg
        DESTINATION ${TRACKBALLS_SHARE}/../icons/hicolor/scalable/apps/)

add_custom_command(OUTPUT execstring
                  COMMAND echo "Exec=${CMAKE_INSTALL_PREFIX}/bin/trackballs" > execstring)
add_custom_command(OUTPUT trackballs.desktop
                  COMMAND cat ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop execstring > ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop
                  DEPENDS ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop execstring)
add_custom_target(desktop ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop DESTINATION ${TRACKBALLS_SHARE}/../applications)

# Translations!
find_package(Gettext)
file(GLOB po_files po/*.po)
foreach(po_file ${po_files})
  get_filename_component(lang ${po_file} NAME_WE)
  GETTEXT_PROCESS_PO_FILES( ${lang} ALL PO_FILES ${po_file} )
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${lang}.gmo DESTINATION ${TRACKBALLS_LOCALE}/${lang}/LC_MESSAGES/ RENAME trackballs.mo)
endforeach()

## trackballs 1.1.4

=== debian/changelog ===
trackballs (1.1.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update source for guile-2.0.
    Add these patches:
      0002-lv1.scm-move-illegal-expression-context-define-to-th.patch
      0003-Port-to-Guile-2.0.patch
      0004-icons-Makefile.am-prepend-DESTDIR-to-iconsdir-here-t.patch
      0005-po-Makefile.in.in-set-mkinstalldirs-to-install-d.patch
  * Change build-dep to guile-2.0-dev. (Closes: 746011)
  * Migrate to debhelper 9
  * Delete automatically generated upstream files.  Add
    0006-Delete-automatically-generated-upstream-files.patch to handle the
    removals.
  * Add dh-autoreconf build-dep.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Jan 2016 21:39:58 -0600

trackballs (1.1.4-4.2~1.gbp940fd0) UNRELEASED; urgency=medium

  ** SNAPSHOT build @940fd0a287d81a72e4e2154aae0e161131c9a841 **

  * Non-maintainer upload.
  * Import trackballs 1.1.4-4.1

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 25 Jan 2016 22:51:45 -0600

trackballs (1.1.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build dependencies. (Closes: #629794)
  * debian/control: Add ${misc:Depends}.
  * debian/control: Change Section for trackballs-dbg from games to debug.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 13:17:39 +0100

trackballs (1.1.4-4) unstable; urgency=low

  * Remove MimeType in .desktop.in file so nautilus doesn't try to open
    scripts with trackballs (Closes: #457331)

 -- Ari Pollak <ari@debian.org>  Sun, 30 Dec 2007 16:39:03 -0500

trackballs (1.1.4-3) unstable; urgency=low

  * Make trackballs-dbg not recommend trackballs-music anymore
    (Closes: #455597)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Dec 2007 13:08:01 -0500

trackballs (1.1.4-2) unstable; urgency=low

  * Install .desktop file to /usr/share/applications (Closes: #414651)

 -- Ari Pollak <ari@debian.org>  Wed, 27 Jun 2007 19:45:46 -0400

trackballs (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Take out --disable-nls (Closes: #421601)

 -- Ari Pollak <ari@debian.org>  Sat, 26 May 2007 23:30:35 -0400

trackballs (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun,  6 Aug 2006 14:38:52 -0400

trackballs (1.1.1-4) unstable; urgency=medium

  * Change build-dep from xlibmesa-glu-dev to libglu1-xorg-dev (Closes: #379716)

 -- Ari Pollak <ari@debian.org>  Thu, 27 Jul 2006 21:30:42 -0400

trackballs (1.1.1-3) unstable; urgency=low

  * Remove "boxofun" level since it's not in upstream CVS anymore anyway
    (Closes: #250110)
  * Disable the SDL parachute, which was preventing proper coredumps.
    It's kind of hard to run GL apps under gdb while
    some drivers depend on signal handlers to work as normal.

 -- Ari Pollak <ari@debian.org>  Fri, 27 Jan 2006 11:06:42 -0500

trackballs (1.1.1-2) unstable; urgency=low

  * Add versioned dependency on binutils since we now use dh_strip
    --dbg-package

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 13:45:58 -0500

trackballs (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Don't run trackballs as gid games anymore, thanks to the upstream
    authors who now allow easy storing of the high-score file 
    in users' home directories. (Closes: #302454)
  * Add trackballs-dbg package which includes debugging symbols
  * Fix a serious bug that prevented 1.1.0 from starting
    under some X DRI drivers

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 10:05:02 -0500

trackballs (1.1.0-2) experimental; urgency=low

  * Don't bother running the script to install a GNOME .desktop file
    since it doesn't work anyway

 -- Ari Pollak <ari@debian.org>  Sun,  8 May 2005 19:13:05 -0400

trackballs (1.1.0-1) experimental; urgency=low

  * New upstream release.
    - Upload for experimental so we don't affect the security fix from 1.0.0-9
      going into sarge.
    - configure with --disable-nls, gettext support is kind of broken right
      now and there haven't really been any translations yet.
    - Change some functions in src/{menusystem,font}.{cc,h} from accepting
      char* to const char*, so it will build with gettext support disabled.
      Committed fixes upstream.

 -- Ari Pollak <ari@debian.org>  Fri,  4 Mar 2005 21:07:05 -0500

trackballs (1.0.0-8) unstable; urgency=low

  * Apply modified patch from Ulf Harnhammar to prevent a crash when
    the environment variable USER=%n%n%n%n%n or similar. (Closes: #297646)

 -- Ari Pollak <ari@debian.org>  Wed,  2 Mar 2005 01:48:41 -0500

trackballs (1.0.0-7) unstable; urgency=low

  * Apply modified patch from Steve Kemp to fix buffer overflows
    (Closes: #289942)

 -- Ari Pollak <ari@debian.org>  Fri, 14 Jan 2005 12:54:41 -0500

trackballs (1.0.0-6) unstable; urgency=low

  * Oops, forgot 2 out of the 4 int->longs. (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Mon, 10 Jan 2005 11:49:13 -0500

trackballs (1.0.0-5) unstable; urgency=low

  * Apply patch from Andreas Jochens to fix compile error on amd64/gcc-4.0
    (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Sun,  9 Jan 2005 13:06:49 -0500

trackballs (1.0.0-4) unstable; urgency=low

  * Fix build dependencies on libgl-dev and libglu-dev to prefer xlibmesa
  * Apply tiny patch from upstream bug report to fix ball
    initialization (Closes: #289203)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Jan 2005 16:00:30 -0500

trackballs (1.0.0-3) unstable; urgency=low

  * Fix conflicts/replaces (Closes: #234463)

 -- Ari Pollak <ari@debian.org>  Mon, 23 Feb 2004 19:46:45 -0500

trackballs (1.0.0-2) unstable; urgency=low

  * Split most of /usr/share into -data package (Closes: #233451)

 -- Ari Pollak <ari@debian.org>  Tue, 17 Feb 2004 23:01:04 -0500

trackballs (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon,  9 Feb 2004 21:34:48 -0500

trackballs (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue,  6 Jan 2004 02:21:49 -0500



=== debian/control ===
Source: trackballs
Section: games
Priority: extra
Maintainer: Ari Pollak <ari@debian.org>
Build-Depends: debhelper (>= 9),
  binutils (>= 2.12.90.0.9),
  dh-autoreconf,
  guile-2.0-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  libsdl1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev
Standards-Version: 3.7.3
Homepage: http://trackballs.sf.net

Package: trackballs
Architecture: any
Section: games
Depends: trackballs-data, ${shlibs:Depends}, ${misc:Depends}
Recommends: trackballs-music
Description: An OpenGL-based game of marbles through a labyrinth
 Trackballs is a simple game similar to the classical game Marble Madness
 on the Amiga in the 80's. By steering a marble ball through a labyrinth
 filled with vicious hammers, pools of acid and other obstacles the
 player collects points. When the ball reaches the destination it continues
 at the next, more difficult level - unless the time runs out.
 .
 This game is not intended to be a replica of Marble Madness but rather
 inspired by it. The game is also highly configurable by using a
 scripting extension (Guile) and it provides a simple editor by which new
 levels can easily be created.
 .
 Install the trackballs-music package for a soundtrack to be played during
 gameplay. For more information and screenshots of the game please see
 <http://trackballs.sourceforge.net>.

Package: trackballs-dbg
Architecture: any
Section: debug
Depends: trackballs (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debugging symbols for Trackballs
 This package includes the debugging symbols useful for debugging
 the Trackballs game contained in the trackballs package. The debugging
 symbols are used for execution tracing and core dump analysis.

Package: trackballs-data
Architecture: all
Section: games
Depends: ${misc:Depends}
Enhances: trackballs
Description: Data files for trackballs
 This package contains the necessary architecture-independent data files
 needed for running trackballs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND := -fpermissive
export DEB_CXXFLAGS_MAINT_APPEND := $(DEB_CFLAGS_MAINT_APPEND)
export DEB_BUILD_MAINT_OPTIONS := hardening=-format

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games \
	  --datadir=\$${prefix}/share/games --with-highscores=~

# Still need to adjust po/Makefile.in.in to set mkinstalldirs to "install -d"

override_dh_auto_install:
	dh_auto_install - \
	  iconsdir=/usr/share/icons/hicolor \
	  desktopdir=/usr/share/applications

override_dh_strip:
	dh_strip --dbg-package=trackballs-dbg

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://sf.net/trackballs/trackballs-([\d.]+)\.tar\.gz

## trackballs 1.2.3

=== debian/changelog ===
trackballs (1.2.3-3) unstable; urgency=medium

  * Install trackballs.desktop from trackballs-data into trackballs again.
    Remove Lintian override. (Closes: #870085)
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 17:57:29 +0200

trackballs (1.2.3-2) unstable; urgency=medium

  * Break against version << 1.3-2 of trackballs-music. (Closes: #870010)

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 02:53:18 +0200

trackballs (1.2.3-1) unstable; urgency=medium

  * New maintainer: Debian Games Team with the consent of Ari Pollak.
    Add myself to Uploaders.
  * New upstream version 1.2.3. (Closes: #868983)
    - Fixes segmentation faults. The game is usable again. (Closes: #839788)
    - The game uses SDL2 now which provides much better fullscreen support
      and switching to different resolutions should not crash the X server
      anymore. (Closes: #306998)
    - We build-depend on zlib1g-dev now. (Closes: #672946)
    - The Slovak PO file declares and uses UTF-8 now. (Closes: #621709)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.0.0.
  * Homepage field: Point to the new fork of trackballs at github.com.
  * Move the package to Git.
  * Drop deprecated menu file and xpm icon.
  * Switch from SDL1 to SDL2. New build-dependencies zlib1g-dev, gettext. New
    build system CMake.
  * Drop all patches. No longer needed.
  * Clean up debian/rules. Add get-orig-source target.
  * Don't recommend trackballs-music anymore because the music files are
    included now.
  * Remove the paragraph of the package description that mentions the obsolete
    trackballs-music package.
  * Drop postrm file.
  * Add Breaks and Replaces relation for trackballs-music.
  * Update debian/copyright to copyright format 1.0.
  * Add manpage.patch and fix some spelling mistakes and the Lintian warning
    bad whatis entry.
  * trackballs-data: Depend on fonts-freefont-ttf and symlink the font file to
    Debian's system package.
  * Add no-execstring.patch and remove the unnecessary Exec string from
    trackballs.desktop.

 -- Markus Koschany <apo@debian.org>  Fri, 28 Jul 2017 00:11:52 +0200

trackballs (1.1.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #831119)
  * Provide a new trackballs.xpm icon for menu file.
    Converted from share/icons/trackballs-32x32.png. (Closes: #420727)
  * Add and install trackballs.desktop file.
    Thanks to Stefan Potyra for the initial patch. (Closes: #414651)
  * Add german-translations.patch.
    Thanks to Erik Pfannenstein for the report and patch. (Closes: #598517)
  * Fix installation path for arch-independent files like icons and locales
    to /usr/share as appropriate.
  * Add debian/clean and ensure that the game can be built twice in a row.
  * Drop -dbg package and use the automatic -dbgsym package instead.
  * Delete empty directories and do not install them.
  * Switch to compat level 10.
  * d/control: Remove duplicate Section field from binary packages.
  * Remove dirs file. It is obsolete.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Oct 2016 21:11:56 +0200

=== debian/control ===
Source: trackballs
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 gettext,
 guile-2.0-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 zlib1g-dev
Standards-Version: 4.0.0
Homepage: https://trackballs.github.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git

Package: trackballs
Architecture: any
Breaks:
 trackballs-data (<< 1.2.3-3)
Replaces:
 trackballs-data (<< 1.2.3-3)
Depends:
 trackballs-data,
 ${misc:Depends},
 ${shlibs:Depends}
Description: OpenGL-based game of steering a marble through a labyrinth
 Trackballs is a simple game similar to the classical game Marble Madness
 on the Amiga in the 80's. By steering a marble ball through a labyrinth
 filled with vicious hammers, pools of acid and other obstacles the
 player collects points. When the ball reaches the destination it continues
 at the next, more difficult level - unless the time runs out.
 .
 This game is not intended to be a replica of Marble Madness but rather
 inspired by it. The game is also highly configurable by using a
 scripting extension (Guile) and it provides a simple editor by which new
 levels can easily be created.

Package: trackballs-data
Architecture: all
Depends:
 fonts-freefont-ttf,
 ${misc:Depends}
Enhances:
 trackballs
Breaks:
 trackballs-music (<< 1.3.1-2)
Replaces:
 trackballs-music (<< 1.3.1-2)
Description: Data files for trackballs
 This package contains the necessary architecture-independent data files
 needed for running trackballs.

## trackballs 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 endif()
 
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.2.3")
+add_definitions(-DVERSION="1.2.4")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
@@ -99,14 +99,8 @@
 endforeach()
 install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.svg
         DESTINATION ${TRACKBALLS_SHARE}/../icons/hicolor/scalable/apps/)
-
-add_custom_command(OUTPUT execstring
-                  COMMAND echo "Exec=${CMAKE_INSTALL_PREFIX}/bin/trackballs" > execstring)
-add_custom_command(OUTPUT trackballs.desktop
-                  COMMAND cat ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop execstring > ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop
-                  DEPENDS ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop execstring)
-add_custom_target(desktop ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/trackballs.desktop DESTINATION ${TRACKBALLS_SHARE}/../applications)
+install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop
+        DESTINATION ${TRACKBALLS_SHARE}/../applications)
 
 # Translations!
 find_package(Gettext)

=== debian/changelog ===
trackballs (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4.
    - It is possible to play Trackballs in 1680x1050 and higher
      resolutions when using the Auto-32 mode now. (Closes: #438721)
  * Declare compliance with Debian Policy 4.1.1.
  * Drop all patches. Merged upstream.
  * Change priority from extra to optional.
  * debian/docs: Ensure that FAQ.md, README.md and TODO.md are really
    installed.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Oct 2017 22:14:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: trackballs
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DTRACKBALLS_SHARE_DIR=/usr/share/games/trackballs \
		-DTRACKBALLS_HIGHSCORES_DIR=~

override_dh_missing:
	dh_missing --list-missing

get-orig-source:
	uscan --download-current-version --force-download

## trackballs 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(trackballs)

# Required libraries
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
find_package(Guile REQUIRED)
find_package(SDL2_and_friends REQUIRED)
find_package(OpenGL REQUIRED)
find_package(ZLIB REQUIRED)
# libgc is a dependency of Guile that still needs to be provided
find_package(GC REQUIRED)
find_package(Intl REQUIRED)

# Optionally set paths to install individual components
function(setordefault varname variable default)
  if ("${variable} " STREQUAL " ")
    set(${varname} ${default} PARENT_SCOPE)
  else()
    set(${varname} ${variable} PARENT_SCOPE)
  endif()
endfunction()

set(TRACKBALLS_APPL_DIR "" CACHE PATH "Folder to install .desktop files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/applications")
set(TRACKBALLS_DOC_DIR "" CACHE PATH "Folder to install documentation to. If empty, the default is CMAKE_INSTALL_PREFIX/share/doc")
set(TRACKBALLS_BIN_DIR "" CACHE PATH "Folder to install executable files to. If empty, the default is CMAKE_INSTALL_PREFIX/bin")
set(TRACKBALLS_ICON_DIR "" CACHE PATH "Folder to install icons to. If empty, the default is CMAKE_INSTALL_PREFIX/share/icons/hicolor")
set(TRACKBALLS_LOCALE_DIR "" CACHE PATH "Folder to install locale files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/locale")
set(TRACKBALLS_MAN_DIR "" CACHE PATH "Folder to install man files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/man")
set(TRACKBALLS_SHARE_DIR "" CACHE PATH "Folder to install data files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/trackballs")

set(TRACKBALLS_HIGHSCORES_DIR "" CACHE STRING "Folder to install highscores file to. Empty means to TRACKBALLS_SHARE_DIR/. ~ will install per user")

setordefault(TRACKBALLS_APPL "${TRACKBALLS_APPL_DIR}" ${CMAKE_INSTALL_PREFIX}/share/applications)
setordefault(TRACKBALLS_BIN "${TRACKBALLS_BIN_DIR}" ${CMAKE_INSTALL_PREFIX}/bin)
setordefault(TRACKBALLS_DOC "${TRACKBALLS_DOC_DIR}" ${CMAKE_INSTALL_PREFIX}/share/doc)
setordefault(TRACKBALLS_ICON "${TRACKBALLS_ICON_DIR}" ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
setordefault(TRACKBALLS_LOCALE "${TRACKBALLS_LOCALE_DIR}" ${CMAKE_INSTALL_PREFIX}/share/locale)
setordefault(TRACKBALLS_MAN "${TRACKBALLS_MAN_DIR}" ${CMAKE_INSTALL_PREFIX}/share/man)
setordefault(TRACKBALLS_SHARE "${TRACKBALLS_SHARE_DIR}" ${CMAKE_INSTALL_PREFIX}/share/trackballs)

# Set defines
add_definitions(-DPACKAGE="trackballs")
add_definitions(-DVERSION="1.3.0")
add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
if (NOT "${TRACKBALLS_HIGHSCORES_DIR}" STREQUAL "")
  add_definitions(-DALT_HIGHSCORES="${TRACKBALLS_HIGHSCORES_DIR}")
endif()
add_definitions(-DDEFAULT_RESOLUTION=-1)
add_definitions(${GUILE_DEFINITIONS} ${SDL2_DEFINITIONS} ${GC_DEFINITIONS})

# Guile interface
get_directory_property( definitions DIRECTORY ${CMAKE_SOURCE_DIR} COMPILE_DEFINITIONS )
set(defstr "")
foreach( d ${definitions} )
    set(defstr "${defstr}" "-D${d}")
endforeach()

include_directories(${PROJECT_SOURCE_DIR}/src ${GUILE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} ${SDL2_INCLUDE_DIR} ${SDL2_IMAGE_INCLUDE_DIR} ${SDL2_MIXER_INCLUDE_DIR} ${SDL2_TTF_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS} ${GC_INCLUDE_DIRS} ${Intl_INCLUDE_DIRS})
get_directory_property(includes DIRECTORY  ${CMAKE_SOURCE_DIR} INCLUDE_DIRECTORIES)
set(incstr "")
foreach( d ${includes} )
    set(incstr "${incstr}" "-I${d}")
endforeach()

# cpp is the c++ preprocessor
add_custom_command(OUTPUT guile.cc.x
                  COMMAND CPP=cpp; ${GUILE_SNARF} -o guile.cc.x ${PROJECT_SOURCE_DIR}/src/guile.cc ${defstr} ${incstr} -D_GNU_SOURCE=1 -D_REENTRANT
                  DEPENDS src/guile.cc
                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

# Construct executable file
file(GLOB sources ${PROJECT_SOURCE_DIR}/src/*.cc)
add_executable(trackballs ${sources} guile.cc.x)
target_link_libraries(trackballs ${GUILE_LIBRARIES} ${OPENGL_LIBRARIES} ${SDL2_LIBRARY} ${SDL2_IMAGE_LIBRARY} ${SDL2_MIXER_LIBRARY} ${SDL2_TTF_LIBRARY} ${ZLIB_LIBRARIES} ${GC_LIBRARIES} ${Intl_LIBRARIES} m)
install(TARGETS trackballs DESTINATION ${TRACKBALLS_BIN})

# Data files
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/fonts DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/images DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/levels DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/music DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/shaders DESTINATION ${TRACKBALLS_SHARE})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/share/sfx DESTINATION ${TRACKBALLS_SHARE})
install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs-128x128.png DESTINATION ${TRACKBALLS_SHARE}/icons/)

#todo: set executable setgid to games RX, and highscores to games RW
add_custom_command(OUTPUT highScores
                   COMMAND echo "0" | gzip -c > ${CMAKE_CURRENT_BINARY_DIR}/highScores)
add_custom_target(highscores ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/highScores)
if ("${TRACKBALLS_HIGHSCORES_DIR}" STREQUAL "")
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/highScores DESTINATION ${TRACKBALLS_SHARE})
else()
  string(SUBSTRING "${TRACKBALLS_HIGHSCORES_DIR}" 0 1 TRACKBALLS_HS_FCHAR)
  if (NOT "${TRACKBALLS_HS_FCHAR}" STREQUAL "~")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/highScores DESTINATION ${TRACKBALLS_HIGHSCORES_DIR})
  endif()
endif()

# Documentation
install(FILES ${PROJECT_SOURCE_DIR}/share/trackballs.6 DESTINATION ${TRACKBALLS_MAN}/man6)
file(GLOB htmldocs ${PROJECT_SOURCE_DIR}/docs/*.html ${PROJECT_SOURCE_DIR}/docs/*.css)
install(FILES ${htmldocs} DESTINATION ${TRACKBALLS_DOC})

# Icons are split up into separate folders
file(GLOB icons ${PROJECT_SOURCE_DIR}/share/icons/*.png)
foreach(file ${icons})
  string(REGEX REPLACE ".*trackballs-" "" filea ${file})
  string(REPLACE ".png" "" sz ${filea})
  install(FILES ${file}
          DESTINATION ${TRACKBALLS_ICON}/${sz}/apps/
          RENAME trackballs.png)
endforeach()
install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.svg
        DESTINATION ${TRACKBALLS_ICON}/icons/hicolor/scalable/apps/)
install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop
        DESTINATION ${TRACKBALLS_APPL})

# Translations!
option(DISABLE_NLS "Disable native language support (NLS)" OFF)
if(NOT DISABLE_NLS)
  find_package(Gettext)
  mark_as_advanced(GETTEXT_MSGFMT_EXECUTABLE GETTEXT_MSGMERGE_EXECUTABLE)
  file(GLOB po_files po/*.po)
  foreach(po_file ${po_files})
    get_filename_component(lang ${po_file} NAME_WE)
    GETTEXT_PROCESS_PO_FILES( ${lang} ALL PO_FILES ${po_file} )
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${lang}.gmo DESTINATION ${TRACKBALLS_LOCALE}/${lang}/LC_MESSAGES/ RENAME trackballs.mo)
  endforeach()
endif()

=== debian/changelog ===
trackballs (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Migrate to guile-2.2. (Closes: #885229)
  * Add ICON_DIR.patch and fix wrong default location of scalable images.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Mar 2018 13:59:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
- guile-2.0-dev,
+ guile-2.2-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git

## trackballs 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 setordefault(TRACKBALLS_APPL "${TRACKBALLS_APPL_DIR}" ${CMAKE_INSTALL_PREFIX}/share/applications)
 setordefault(TRACKBALLS_BIN "${TRACKBALLS_BIN_DIR}" ${CMAKE_INSTALL_PREFIX}/bin)
-setordefault(TRACKBALLS_DOC "${TRACKBALLS_DOC_DIR}" ${CMAKE_INSTALL_PREFIX}/share/doc)
+setordefault(TRACKBALLS_DOC "${TRACKBALLS_DOC_DIR}" ${CMAKE_INSTALL_PREFIX}/share/doc/trackballs)
 setordefault(TRACKBALLS_ICON "${TRACKBALLS_ICON_DIR}" ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
 setordefault(TRACKBALLS_LOCALE "${TRACKBALLS_LOCALE_DIR}" ${CMAKE_INSTALL_PREFIX}/share/locale)
 setordefault(TRACKBALLS_MAN "${TRACKBALLS_MAN_DIR}" ${CMAKE_INSTALL_PREFIX}/share/man)
@@ -40,7 +40,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.0")
+add_definitions(-DVERSION="1.3.1")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
@@ -87,7 +87,7 @@
 
 #todo: set executable setgid to games RX, and highscores to games RW
 add_custom_command(OUTPUT highScores
-                   COMMAND echo "0" | gzip -c > ${CMAKE_CURRENT_BINARY_DIR}/highScores)
+                   COMMAND echo "0" | gzip -cn > ${CMAKE_CURRENT_BINARY_DIR}/highScores)
 add_custom_target(highscores ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/highScores)
 if ("${TRACKBALLS_HIGHSCORES_DIR}" STREQUAL "")
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/highScores DESTINATION ${TRACKBALLS_SHARE})
@@ -99,7 +99,8 @@
 endif()
 
 # Documentation
-install(FILES ${PROJECT_SOURCE_DIR}/share/trackballs.6 DESTINATION ${TRACKBALLS_MAN}/man6)
+configure_file(${PROJECT_SOURCE_DIR}/share/trackballs.6 ${CMAKE_CURRENT_BINARY_DIR}/trackballs.6)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/trackballs.6 DESTINATION ${TRACKBALLS_MAN}/man6)
 file(GLOB htmldocs ${PROJECT_SOURCE_DIR}/docs/*.html ${PROJECT_SOURCE_DIR}/docs/*.css)
 install(FILES ${htmldocs} DESTINATION ${TRACKBALLS_DOC})
 
@@ -113,7 +114,7 @@
           RENAME trackballs.png)
 endforeach()
 install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.svg
-        DESTINATION ${TRACKBALLS_ICON}/icons/hicolor/scalable/apps/)
+        DESTINATION ${TRACKBALLS_ICON}/scalable/apps/)
 install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop
         DESTINATION ${TRACKBALLS_APPL})

=== debian/changelog ===
trackballs (1.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:53 +0100

trackballs (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop ICON_DIR.patch. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Fri, 18 May 2018 21:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git

## trackballs 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(trackballs)
 
 # Required libraries
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 find_package(Guile REQUIRED)
-find_package(SDL2_and_friends REQUIRED)
+find_package(SDL2 REQUIRED)
+find_package(SDL2_image REQUIRED)
+find_package(SDL2_mixer REQUIRED)
+find_package(SDL2_ttf REQUIRED)
+set(OpenGL_GL_PREFERENCE "LEGACY")
 find_package(OpenGL REQUIRED)
 find_package(ZLIB REQUIRED)
 # libgc is a dependency of Guile that still needs to be provided
@@ -40,7 +44,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.1")
+add_definitions(-DVERSION="1.3.2")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")

=== debian/changelog ===
trackballs (1.3.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 14 Jan 2021 23:11:10 -0500

trackballs (1.3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Remove unnecessary get-orig-source-target.

  [ Markus Koschany ]
  * New upstream version 1.3.2.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Mark trackballs-data MultiArch: foreign.
  * Build depend on guile-3.0-dev instead of guile-2.2-dev. (Closes: #969684)

 -- Markus Koschany <apo@debian.org>  Sat, 26 Dec 2020 20:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: trackballs
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  gettext,
- guile-2.2-dev,
+ guile-3.0-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Homepage: https://trackballs.github.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git
+Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
+Vcs-Browser: https://salsa.debian.org/games-team/trackballs
 
 Package: trackballs
 Architecture: any
@@ -43,6 +44,7 @@
 
 Package: trackballs-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  fonts-freefont-ttf,
  ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DTRACKBALLS_SHARE_DIR=/usr/share/games/trackballs \
		-DTRACKBALLS_HIGHSCORES_DIR=~

## trackballs 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.2")
+add_definitions(-DVERSION="1.3.3")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")

=== debian/changelog ===
trackballs (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Oct 2021 00:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: trackballs
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
@@ -15,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
 Vcs-Browser: https://salsa.debian.org/games-team/trackballs

## trackballs 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   endif()
 endfunction()
 
+set(TRACKBALLS_METAINFO_DIR "" CACHE PATH "Folder to install .appdata.xml files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/metainfo")
 set(TRACKBALLS_APPL_DIR "" CACHE PATH "Folder to install .desktop files to. If empty, the default is CMAKE_INSTALL_PREFIX/share/applications")
 set(TRACKBALLS_DOC_DIR "" CACHE PATH "Folder to install documentation to. If empty, the default is CMAKE_INSTALL_PREFIX/share/doc")
 set(TRACKBALLS_BIN_DIR "" CACHE PATH "Folder to install executable files to. If empty, the default is CMAKE_INSTALL_PREFIX/bin")
@@ -34,6 +35,7 @@
 
 set(TRACKBALLS_HIGHSCORES_DIR "" CACHE STRING "Folder to install highscores file to. Empty means to TRACKBALLS_SHARE_DIR/. ~ will install per user")
 
+setordefault(TRACKBALLS_METAINFO_DIR "${TRACKBALLS_METAINFO_DIR}" ${CMAKE_INSTALL_PREFIX}/share/metainfo)
 setordefault(TRACKBALLS_APPL "${TRACKBALLS_APPL_DIR}" ${CMAKE_INSTALL_PREFIX}/share/applications)
 setordefault(TRACKBALLS_BIN "${TRACKBALLS_BIN_DIR}" ${CMAKE_INSTALL_PREFIX}/bin)
 setordefault(TRACKBALLS_DOC "${TRACKBALLS_DOC_DIR}" ${CMAKE_INSTALL_PREFIX}/share/doc/trackballs)
@@ -44,7 +46,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.3")
+add_definitions(-DVERSION="1.3.4")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
@@ -119,8 +121,10 @@
 endforeach()
 install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.svg
         DESTINATION ${TRACKBALLS_ICON}/scalable/apps/)
-install(FILES ${PROJECT_SOURCE_DIR}/share/icons/trackballs.desktop
+install(FILES ${PROJECT_SOURCE_DIR}/share/freedesktop/trackballs.desktop
         DESTINATION ${TRACKBALLS_APPL})
+install(FILES ${PROJECT_SOURCE_DIR}/share/freedesktop/trackballs.appdata.xml
+        DESTINATION ${TRACKBALLS_METAINFO_DIR})
 
 # Translations!
 option(DISABLE_NLS "Disable native language support (NLS)" OFF)

=== debian/changelog ===
trackballs (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Make trackballs cross-buildable.
    Thanks to Helmut Grohne for the patch. (Closes: #985357)
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Jan 2023 00:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
 Vcs-Browser: https://salsa.debian.org/games-team/trackballs

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/trackballs-$1\.tar\.gz/ \
  https://github.com/trackballs/trackballs/tags .*/v?(\d\S+)\.tar\.gz

## trackballs 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12...4.0 FATAL_ERROR)
 project(trackballs)
 
 # Required libraries
@@ -46,7 +46,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.4")
+add_definitions(-DVERSION="1.3.5")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")

=== debian/changelog ===
trackballs (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.5 compatible with CMake 4 (Closes: #1113582)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 14:30:29 +0200

trackballs (1.3.4-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with recent libsdl2-ttf-dev 2.24.0 (Closes: #1092408)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 15:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
 Vcs-Browser: https://salsa.debian.org/games-team/trackballs
